# H323PresenceSubscription Class Reference

`#include <h460p.h>`

Inheritance diagram for H323PresenceSubscription:

[legend]
Collaboration diagram for H323PresenceSubscription:
[legend]

## Public Member Functions

| H323PresenceSubscription ()
void | SetSubscriptionDetails (const PString &subscribe, const PStringList &aliases)
void | GetSubscriberDetails (PStringList &aliases)
PString | GetSubscribed ()
void | SetGatekeeperRAS (const H323TransportAddress &address)
H323TransportAddress | GetGatekeeperRAS ()
void | MakeDecision (bool approve)
bool | IsDecisionMade ()
int | IsApproved ()
void | SetTimeToLive (int t)
int | GetTimeToLive ()
void | SetSubscription (const OpalGloballyUniqueID &guid)
OpalGloballyUniqueID | GetSubscription ()

## Protected Member Functions

void | SetApproved (bool success)

## Constructor & Destructor Documentation

H323PresenceSubscription::H323PresenceSubscription | ( |  | ) |

## Member Function Documentation

H323TransportAddress H323PresenceSubscription::GetGatekeeperRAS | ( |  | ) |

PString H323PresenceSubscription::GetSubscribed | ( |  | ) |

void H323PresenceSubscription::GetSubscriberDetails | ( | PStringList & | aliases | ) |

OpalGloballyUniqueID H323PresenceSubscription::GetSubscription | ( |  | ) |

int H323PresenceSubscription::GetTimeToLive | ( |  | ) |

int H323PresenceSubscription::IsApproved | ( |  | ) |

bool H323PresenceSubscription::IsDecisionMade | ( |  | ) |

void H323PresenceSubscription::MakeDecision | ( | bool | approve | ) |

void H323PresenceSubscription::SetApproved | ( | bool | success | ) | `[protected]`

void H323PresenceSubscription::SetGatekeeperRAS | ( | const H323TransportAddress & | address | ) |

void H323PresenceSubscription::SetSubscription | ( | const OpalGloballyUniqueID & | guid | ) |

void H323PresenceSubscription::SetSubscriptionDetails | ( | const PString & | subscribe,
|  | const PStringList & | aliases |
| ) |  |  |

void H323PresenceSubscription::SetTimeToLive | ( | int | t | ) |

The documentation for this class was generated from the following file:

- h460p.h